/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "sot-doc", "index.html", [
    [ "Overview", "page_overview.html", [
      [ "What is the Stack-Of-Tasks ?", "page_overview.html#OverviewIntro", null ],
      [ "Installation", "page_overview.html#InstallIntro", [
        [ "Installing from binaries", "page_overview.html#subsecInstallIntroBin", null ],
        [ "Installing from sources", "page_overview.html#subsecInstallIntroSrc", null ]
      ] ],
      [ "Organization", "page_overview.html#OrganizationIntro", null ]
    ] ],
    [ "Installation", "Installation_Generalities.html", null ],
    [ "Tutorials", "Tutorials_Pages.html", null ],
    [ "Usage examples", "Usage_Examples.html", null ],
    [ "Controllers formulation", "md_doc_2ControllersFormulation.html", [
      [ "Necessary constraints", "md_doc_2ControllersFormulation.html#NecessaryConditions", [
        [ "Dynamic modeling of a free-floating multi-body system", "md_doc_2ControllersFormulation.html#SubSecDynamicModeling", null ],
        [ "Contact models", "md_doc_2ControllersFormulation.html#SubSecContactModels", null ]
      ] ],
      [ "Functions used to generate a robot behavior", "md_doc_2ControllersFormulation.html#SecFunctions", [
        [ "Formulating tasks", "md_doc_2ControllersFormulation.html#SubFuncFormulatingTasks", [
          [ "Definition", "md_doc_2ControllersFormulation.html#subsubdef", null ],
          [ "Imposing the task dynamic", "md_doc_2ControllersFormulation.html#subsubImposingTaskDyn", null ]
        ] ],
        [ "Formulating instantaneous control as optimization problem", "md_doc_2ControllersFormulation.html#SubsectionFormulatingInstantaneousControl", null ]
      ] ]
    ] ],
    [ "Installation - Quick start", "md_doc_2Installation.html", [
      [ "Installation from binary packages", "md_doc_2Installation.html#installation_detailed_from_binaries", [
        [ "Installing binaries - Quick start", "md_doc_2Installation.html#installation_robotpkg", null ],
        [ "Status of the robotpkg binaries", "md_doc_2Installation.html#installation_robotpkg_status", null ]
      ] ],
      [ "Installing from source", "md_doc_2Installation.html#installation_from_source", [
        [ "Installing from robotpkg (to prepare an environment)", "md_doc_2Installation.html#installation_from_source_robotpkg", null ],
        [ "Installing each package manually", "md_doc_2Installation.html#installation_from_source_old_school", null ],
        [ "Installing from catkin (for development/experimental)", "md_doc_2Installation.html#installation_from_source_catkin_build", null ]
      ] ]
    ] ],
    [ "Setting up your environment", "md_doc_2SettingYourEnvironment.html", [
      [ "Introduction", "md_doc_2SettingYourEnvironment.html#setting_up_env_var_intro", null ],
      [ "Important environment variables", "md_doc_2SettingYourEnvironment.html#setting_up_env_variables", null ],
      [ "Shell file", "md_doc_2SettingYourEnvironment.html#setting_up_env_shell_file", null ],
      [ "Modification of your configuration", "md_doc_2SettingYourEnvironment.html#setting_up_env_conf", null ]
    ] ],
    [ "Status of the robotpkg binaries", "md_doc_2StateRobotpkgBinaries.html", [
      [ "Core packages", "md_doc_2StateRobotpkgBinaries.html#status_rpkg_binaries_core", null ],
      [ "Walking packages", "md_doc_2StateRobotpkgBinaries.html#status_rpkg_binaries_walking", null ],
      [ "ROS packages", "md_doc_2StateRobotpkgBinaries.html#status_rpkg_binaries_ros", null ],
      [ "Robots packages", "md_doc_2StateRobotpkgBinaries.html#status_rpkg_binaries_robots", null ],
      [ "Finding the documentation on your machine", "md_doc_2StateRobotpkgBinaries.html#status_robotpkg_binaries_doc_local", null ]
    ] ],
    [ "Using catkin tools and vcs for the SoT", "md_doc_2CatkinBuildTools.html", [
      [ "Introduction", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_intro", [
        [ "Quick start", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_quick_start", [
          [ "Required packages", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_quick_start_required", null ],
          [ "Install dependencies", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_quick_start_depends", null ],
          [ "Setup your environment", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_quick_start_setnv", null ],
          [ "Create your workspace", "md_doc_2CatkinBuildTools.html#_catkin_tools_quick_create_ws", null ]
        ] ],
        [ "Quick start explanations", "md_doc_2CatkinBuildTools.html#memto_catkin_tools_quick_start_explanations", null ]
      ] ],
      [ "Handling the repositories (VCS)", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_vcs", [
        [ "Checking out the SoT infra-structure", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_vcs_checkingout", null ],
        [ "Getting the current status of the repos", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_vcs_status", null ]
      ] ],
      [ "Compiling and testing the packages (catkin)", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_compiling", [
        [ "Setting the cmake args", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_compiling_settings", null ],
        [ "Compiling", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_compiling_compiling", [
          [ "Compiling everything", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_compiling_all", null ],
          [ "Compiling a specific package with its dependencies", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_compiling_a_pkg", null ],
          [ "Compiling a specific package without its dependencies", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_compiling_a_pkg_nodeps", null ],
          [ "Generating the documentation", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_compiling_a_pkg_doc", null ]
        ] ],
        [ "Clean all the build part", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_clean_all", null ],
        [ "Running tests", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_run_tests", null ],
        [ "Computing coverage", "md_doc_2CatkinBuildTools.html#memo_catkin_tools_compute_coverage", null ]
      ] ],
      [ "Installing dependencies", "md_doc_2CatkinBuildTools.html#memo_preparing_environment", [
        [ "Quick start", "md_doc_2CatkinBuildTools.html#subsec_preparing_env_from_rpkg_bash", null ],
        [ "Robotpkg Only", "md_doc_2CatkinBuildTools.html#subsec_preparing_env_from_rpkg_only", null ],
        [ "Robotpkg helpers repository", "md_doc_2CatkinBuildTools.html#subsec_preparing_env_from_rpkg_helpers", null ],
        [ "Chaining workspaces", "md_doc_2CatkinBuildTools.html#subsec_preparing_env_chaining_ws", null ]
      ] ]
    ] ],
    [ "Using colcon tools and vcs for the SoT", "md_doc_2ColconBuildTools.html", [
      [ "Introduction", "md_doc_2ColconBuildTools.html#memo_colcon_tools_intro", [
        [ "Quick start", "md_doc_2ColconBuildTools.html#memo_colcon_tools_quick_start", [
          [ "Install third party dependencies of the SoT packages", "md_doc_2ColconBuildTools.html#memo_colcon_tools_quick_start_depends", null ],
          [ "Setup your environment", "md_doc_2ColconBuildTools.html#memo_colcon_tools_quick_start_setnv", null ],
          [ "Create your workspace", "md_doc_2ColconBuildTools.html#memo_colcon_tools_quick_create_ws", null ]
        ] ]
      ] ],
      [ "Handling the repositories (VCS)", "md_doc_2ColconBuildTools.html#memo_colcon_tools_vcs", null ],
      [ "Compiling and testing the packages (catkin)", "md_doc_2ColconBuildTools.html#memo_colcon_tools_compiling", [
        [ "Setting the cmake args", "md_doc_2ColconBuildTools.html#memo_colcon_tools_compiling_settings", null ],
        [ "Compiling", "md_doc_2ColconBuildTools.html#memo_colcon_tools_compiling_compiling", [
          [ "Compiling everything", "md_doc_2ColconBuildTools.html#memo_colcon_tools_compiling_all", null ],
          [ "Compiling a specific package with its dependencies", "md_doc_2ColconBuildTools.html#memo_colcon_tools_compiling_a_pkg", null ],
          [ "Compiling a specific package without its dependencies", "md_doc_2ColconBuildTools.html#memo_colcon_tools_compiling_a_pkg_nodeps", null ],
          [ "Generating the documentation", "md_doc_2ColconBuildTools.html#memo_colcon_tools_compiling_a_pkg_doc", null ]
        ] ],
        [ "Clean all the build part", "md_doc_2ColconBuildTools.html#memo_colcon_tools_clean_all", null ],
        [ "Running tests", "md_doc_2ColconBuildTools.html#memo_colcon_tools_run_tests", null ],
        [ "Computing coverage", "md_doc_2ColconBuildTools.html#memo_colcon_tools_compute_coverage", null ]
      ] ]
    ] ],
    [ "Dynamic-graph 101", "md_doc_2Tutorial__Dyn__Graph__101.html", [
      [ "Introduction", "md_doc_2Tutorial__Dyn__Graph__101.html#tutorial_first_introduction", null ],
      [ "First steps with dynamic graph", "md_doc_2Tutorial__Dyn__Graph__101.html#tutorial_dyngrp_101", null ],
      [ "Dynamic-graph operations", "md_doc_2Tutorial__Dyn__Graph__101.html#tutorials_dyngrp_operations", [
        [ "Entity manipulation", "md_doc_2Tutorial__Dyn__Graph__101.html#tutorial_first_entity", null ],
        [ "Signal manipulation", "md_doc_2Tutorial__Dyn__Graph__101.html#tutorial_first_signal_manipulation", null ]
      ] ],
      [ "Going further", "md_doc_2Tutorial__Dyn__Graph__101.html#tutorial_going_further", null ]
    ] ],
    [ "Whole body motion", "md_doc_2Tutorial__Whole__Body__Motion.html", [
      [ "Introduction", "md_doc_2Tutorial__Whole__Body__Motion.html#tutorial_snd_introduction", [
        [ "For Melodic", "md_doc_2Tutorial__Whole__Body__Motion.html#tutorial_snd_introduction_melodic", null ],
        [ "For Kinetic", "md_doc_2Tutorial__Whole__Body__Motion.html#tutorial_snd_introduction_kinetic", null ]
      ] ],
      [ "Scripted whole body motion", "md_doc_2Tutorial__Whole__Body__Motion.html#tutorial_snd_whole_body_motion", [
        [ "Introduction", "md_doc_2Tutorial__Whole__Body__Motion.html#autotoc_md0", null ],
        [ "Start the simulation", "md_doc_2Tutorial__Whole__Body__Motion.html#autotoc_md1", null ],
        [ "Start the SoT-ROS interface for TALOS in simulation (Gazebo)", "md_doc_2Tutorial__Whole__Body__Motion.html#autotoc_md2", null ],
        [ "Start the motion of the robot", "md_doc_2Tutorial__Whole__Body__Motion.html#autotoc_md3", null ]
      ] ],
      [ "Explanations", "md_doc_2Tutorial__Whole__Body__Motion.html#tutorial_snd_detailed_explanations", [
        [ "Detailed explanation of test.py", "md_doc_2Tutorial__Whole__Body__Motion.html#autotoc_md4", null ],
        [ "Detailed explanations of appli.py", "md_doc_2Tutorial__Whole__Body__Motion.html#autotoc_md5", null ]
      ] ]
    ] ],
    [ "ROS Bridge with SoT", "md_doc_2Tutorial__Ros__Bridge.html", [
      [ "Signal to ROS topic", "md_doc_2Tutorial__Ros__Bridge.html#tutorial_ros_bridge_sig_to_topic", null ],
      [ "ROS tf to signal", "md_doc_2Tutorial__Ros__Bridge.html#tutorial_ros_bridge_topic_to_sig", null ]
    ] ],
    [ "Release of a SoT package on ROS", "md_doc_2Tutorial__Release__SOT__Packages.html", [
      [ "Introduction", "md_doc_2Tutorial__Release__SOT__Packages.html#Tutorial_introduction", null ],
      [ "Prerelease on the local machine to test for issues", "md_doc_2Tutorial__Release__SOT__Packages.html#prerelease", [
        [ "Prerequisite", "md_doc_2Tutorial__Release__SOT__Packages.html#Prerequisite", [
          [ "Set up your PC for a prerelease if ROS is already installed", "md_doc_2Tutorial__Release__SOT__Packages.html#ROS", null ],
          [ "Set up the PC for a prerelease if ROS is not installed yet", "md_doc_2Tutorial__Release__SOT__Packages.html#not_ROS", null ]
        ] ],
        [ "Creating a Prerelease Command", "md_doc_2Tutorial__Release__SOT__Packages.html#prerelease_ros", null ],
        [ "Possible errors during the prerelease", "md_doc_2Tutorial__Release__SOT__Packages.html#prerelease_error", null ],
        [ "Clean docker", "md_doc_2Tutorial__Release__SOT__Packages.html#clean_docker", null ]
      ] ],
      [ "Release a package for the first time", "md_doc_2Tutorial__Release__SOT__Packages.html#first_time_release", [
        [ "Prerequisite", "md_doc_2Tutorial__Release__SOT__Packages.html#prerequisite_intro", null ],
        [ "Create a github repository for the release", "md_doc_2Tutorial__Release__SOT__Packages.html#release_repository", null ],
        [ "Releasing the package for the first time", "md_doc_2Tutorial__Release__SOT__Packages.html#release", null ]
      ] ],
      [ "Maintain packages already on the buildfarm", "md_doc_2Tutorial__Release__SOT__Packages.html#maintained", null ],
      [ "ROS Patch", "md_doc_2Tutorial__Release__SOT__Packages.html#patch", [
        [ "Create a patch", "md_doc_2Tutorial__Release__SOT__Packages.html#patch1", null ],
        [ "Remove patches", "md_doc_2Tutorial__Release__SOT__Packages.html#patch2", null ],
        [ "Porting patches between ros version", "md_doc_2Tutorial__Release__SOT__Packages.html#patch3", null ]
      ] ],
      [ "Check if the build succeded on the build farm", "md_doc_2Tutorial__Release__SOT__Packages.html#check", null ],
      [ "Testing Repository", "md_doc_2Tutorial__Release__SOT__Packages.html#TestingRepository", null ]
    ] ],
    [ "Citing the SoT", "md_doc_2Citing.html", null ],
    [ "Scientific papers based upon the Stack-Of-Tasks", "md_doc_2SciencePapers.html", null ],
    [ "Examples of control infra structure using the SoT", "md_doc_2Examples.html", [
      [ "Max-Planck-Institute", "md_doc_2Examples.html#ex_usage_mpi", null ]
    ] ],
    [ "Other control architectures", "md_doc_2OtherControlArchitectures.html", null ],
    [ "Bibliography", "citelist.html", null ]
  ] ]
];

var NAVTREEINDEX =
[
"Installation_Generalities.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';